
//描述性统计
logout, save(表2 描述性统计) word replace:tabstat RI RI_sensi RI_staff Local Local_per Local_geo StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent,stats(N mean sd min max) f(%9.4f) c(s) 	


//基准回归结果
xtreg RI Local StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* ,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m1
xtreg RI Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* ,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m2
xtreg RI Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* if year<=2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m3
xtreg RI Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* if year>2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m4
esttab m1 m2 m3 m4 using baseline.rtf, star(* 0.1 ** 0.05 *** 0.01) compress nogap ///
		drop(yr*) b(%6.4f) se(%6.4f) stats(Fixed_Effect Time_Effect N r2_a F p, ///
		fmt(%5s %3s %3s %6.4f %6.4f %6.4f)) varwidth(20) ///
		title("表3 地方性商业银行发展对城市经济韧性的影响") replace


		
//稳健性检验1-2			
xtivreg2 RI StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* (Local  =  port1 port2) ,fe robust
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m1
xtivreg2 RI Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent  yr* (Local = port1 port2) ,fe robust
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m2
xtivreg2 RI StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* (Local  =  port1 port2) ,fe gmm robust
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m3
xtivreg2 RI Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* (Local =  port1 port2) ,fe gmm robust
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m4		
xtreg RI Local StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe vce(cluster city_code)
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m5	
xtreg RI Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe vce(cluster city_code)
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m6
esttab m1 m2 m3 m4 m5 m6 using robust1-2.rtf, star(* 0.1 ** 0.05 *** 0.01) compress nogap ///
		drop(yr*) b(%6.4f) se(%6.4f) stats(Fixed_Effect Time_Effect idstat widstat j jp N r2_a F p, ///
		fmt(%5s %3s %6.4f %6.4f %6.4f %6.4f %3s %6.4f %6.4f %6.4f)) varwidth(20) ///
		title("表4 稳健性检验1-2：内生性问题处理和聚类处理") replace			
		
		
		
//稳健性检验3
xtreg RI_staff Local StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m1
xtreg RI_staff Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m2
xtreg RI_sensi Local StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m3
xtreg RI_sensi Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m4
xtreg RI_sensi Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* if year<=2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m5
xtreg RI_sensi Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* if year>2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m6
esttab m1 m2 m3 m4 m5 m6 using robust3.rtf, star(* 0.1 ** 0.05 *** 0.01) compress nogap ///
		drop(yr*) b(%6.4f) se(%6.4f) stats(Fixed_Effect Time_Effect N r2_a F p, ///
		fmt(%5s %3s %3s %6.4f %6.4f %6.4f)) varwidth(20) ///
		title(" 稳健性检验3：城市经济韧性的替代指标") replace

		

//稳健性检验4
xtreg RI Local_per StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m1
xtreg RI Local_per Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m2
xtreg RI Local_geo StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* ,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m3
xtreg RI Local_geo Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* ,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m4
xtreg RI Local_geo Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* if year<=2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m5
xtreg RI Local_geo Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent yr* if year>2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m6
esttab m1 m2 m3 m4 m5 m6 using robust4.rtf, star(* 0.1 ** 0.05 *** 0.01) compress nogap ///
		drop(yr*) b(%6.4f) se(%6.4f) stats(Fixed_Effect Time_Effect N r2_a F p, ///
		fmt(%5s %3s %3s %6.4f %6.4f %6.4f)) varwidth(20) ///
		title(" 稳健性检验4：地方性商业银行发展规模的替代指标") replace


		
//稳健性检验5		
xtreg RI Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent Envir yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m1
xtreg RI Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent Market yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m2		
xtreg RI Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed patent traffic yr*,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m3
esttab m1 m2 m3 using robust5.rtf, star(* 0.1 ** 0.05 *** 0.01) compress nogap ///
		drop(yr*) b(%6.4f) se(%6.4f) stats(Fixed_Effect Time_Effect N r2_a F p, ///
		fmt(%5s %3s %3s %6.4f %6.4f %6.4f)) varwidth(20) ///
		title(" 稳健性检验5：考虑其他控制变量") replace	
	
	
	
//机制检验  
xtreg patent Local StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed yr* ,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m1
xtreg patent Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed yr* ,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace
est store m2
xtreg patent Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed yr* if year<=2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace 
est store m3
xtreg patent Local Shock StaBk ManSh fdiSh GDPgr pd Consu Fiscal ed yr* if year>2010,fe r
estadd local Fixed_Effect "Yes",replace
estadd local Time_Effect "Yes",replace 
est store m4
esttab m1 m2 m3 m4 using mechanism2.rtf, star(* 0.1 ** 0.05 *** 0.01) compress nogap ///
		drop(yr*) b(%6.4f) se(%6.4f) stats(Fixed_Effect Time_Effect N r2_a F p, ///
		fmt(%5s %3s %3s %6.4f %6.4f %6.4f)) varwidth(20) ///
		title("表7 机制检验：地方性商业银行对城市创新水平的影响") replace
		
		



		
		
		
		
		
		
		
		
		